/*
 * Copyright (C) 2004-2006  Autodesk, Inc.
* 
* This library is free software; you can redistribute it and/or
* modify it under the terms of version 2.1 of the GNU Lesser
* General Public License as published by the Free Software Foundation.
* 
* This library is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
* Lesser General Public License for more details.
* 
* You should have received a copy of the GNU Lesser General Public
* License along with this library; if not, write to the Free Software
* Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

#define S_FDOSHP_1 1  // not sure what this represents, which "string subset" of the catalog to use?

#ifdef SHP_MESSAGE_DEFINE
// the default message catalog filename
#ifdef _WIN32
char *fdoshp_cat = "ShpMessage.dll";
#else
char *fdoshp_cat = "ShpMessage.cat";
#endif
FdoString* NlsMsgGet(int msg_num, char* default_msg, ...)
{
    va_list varargs;
    va_start(varargs, default_msg);
    FdoString* ret = FdoException::NLSGetMessage(msg_num, default_msg, fdoshp_cat, varargs);
    va_end(varargs);

    return ret;
}
#else // SHP_MESSAGE_DEFINE
extern char *fdoshp_cat;
extern FdoString* NlsMsgGet(int msg_num, char* default_msg, ...);
#endif // SHP_MESSAGE_DEFINE

#ifndef _H_SHPMESSAGE_MSG 
#define _H_SHPMESSAGE_MSG 
#define MF_SHPMESSAGE ShpMessage_cat



/* The following was generated from ShpMessage.msf. */


/* definitions for set S_SHPMESSAGE_1 */
#define S_SHPMESSAGE_1 1

#define SHP_UNEXPECTED_ERROR 1
#define SHP_UNDEFINED_ERROR 2
#define SHP_OUT_OF_MEMORY_ERROR 3
#define SHP_NULL_PARAMETER_ERROR 4
#define SHP_READ_FILE_ERROR 5
#define SHP_WRITE_FILE_ERROR 6
#define SHP_INVALID_RECORD_NUMBER_ERROR 7
#define SHP_END_OF_FILE_ERROR 8
#define SHP_UNSUPPORTED_FILE_FORMAT_ERROR 9
#define SHP_UNSUPPORTED_FUNCTION 10
#define SHP_CONNECTION_TIMEOUT_UNSUPPORTED 11
#define SHP_CONNECTION_COMMAND_NOT_SUPPORTED 12
#define SHP_CONNECTION_CONFIGURATION_FILE_NOT_SUPPORTED 13
#define SHP_CONNECTION_INVALID 14
#define SHP_CONNECTION_REQUIRED_PROPERTY_NULL 15
#define SHP_CONNECTION_ENUM_PROPERTY_WRONG_VALUE 16
#define SHP_CONNECTION_PROPERTY_NOT_FOUND 17
#define SHP_CONNECTION_ALREADY_OPEN 18
#define SHP_CONNECTION_LOCATION_NOT_EXIST 19
#define SHP_CONNECTION_FILE_INVALID_VERSION 20
#define SHP_CONNECTION_FILE_NOT_FOUND 21
#define SHP_CONNECTION_PATH_NOT_FOUND 22
#define SHP_CONNECTION_TOO_MANY_OPEN_FILES 23
#define SHP_CONNECTION_ACCESS_DENIED 24
#define SHP_CONNECTION_FILE_INVALID_BOUNDING_BOX 25
#define SHP_CONNECTION_FILE_INVALID 26
#define SHP_CONNECTION_FILE_MISMATCH 27
#define SHP_NO_DIRECTORY_SPECIFIED 28
#define SHP_TEMPORARY_FILE_PROBLEM 29
#define SHP_INVALID_CONNECTION_STRING 30
#define SHP_INVALID_CONNECTION_PROPERTY_NAME 31
#define SHP_CONNECTION_FILE_INVALID_FILECODE 32
#define SHP_CONNECTION_PROPERTY_DEFAULT_FILE_LOCATION 33
#define SHP_CONNECTION_PROPERTY_TEMPORARY_FILE_LOCATION 34
#define SHP_OBJECT_PROPERTIES_NOT_SUPPORTED 35
#define SHP_UNSUPPORTED_DATATYPE 36
#define SHP_UNKNOWN_COLUMN_TYPE 37
#define SHP_UNKNOWN_SHAPE_TYPE 38
#define SHP_SCHEMA_FAIL_READ_FEATURE_SCHEMAS 39
#define SHP_SCHEMA_FAIL_READ_SCHEMA_MAPPINGS 40
#define SHP_SCHEMA_EXCESSIVE_GEOMETRY 41
#define SHP_SCHEMA_CREATION_FAILED 42
#define SHP_MISSING_SCHEMA_MAPPING 43
#define SHP_MISSING_PHYSICAL_SCHEMA 44
#define SHP_SCHEMA_NOT_FOUND 45
#define SHP_CLASS_IDENTIFIER_SCOPES_NOT_SUPPORTED 46
#define SHP_CLASS_NAME_NOT_UNIQUE 47
#define SHP_FEATURE_CLASS_NOT_FOUND 48
#define SHP_TOO_MANY_IDENTITY_PROPERTIES 49
#define SHP_IDENTITY_PROPERTY_INCORRECT_TYPE 50
#define SHP_SCHEMA_NOT_SPECIFIED 51
#define SHP_SCHEMA_UNSUPPORTED_ELEMENT_STATE 52
#define SHP_SCHEMA_DELETED_CLASS_IN_ADDED_SCHEMA 53
#define SHP_SCHEMA_MODIFIED_CLASS_IN_ADDED_SCHEMA 54
#define SHP_SCHEMA_UNCHANGED_CLASS_IN_ADDED_SCHEMA 55
#define SHP_OVERRIDE_FILENAME_NOT_QUALIFIED 56
#define SHP_UNSUPPORTED_CLASSTYPE 57
#define SHP_COLUMN_WIDTH_INVALID 58
#define SHP_COLUMN_SCALE_INVALID 59
#define SHP_CLASS_NAME_INVALID 60
#define SHP_APPLY_CONFIGURED 61
#define SHP_NOT_FOUND 62
#define SHP_APPLY_SINGLE_SHP 63
#define SHP_INVALID_PHYSICAL_SCHEMA_PROVIDER_NAME 64
#define SHP_INVALID_PHYSICAL_SCHEMA_PROVIDER_VERSION 65
#define SHP_DUPLICATE_COLUMN 66
#define SHP_CANT_MODIFY_NON_EMPTY_CLASS 67
#define SHP_CANT_DELETE_NON_EMPTY_CLASS 68
#define SHP_CANT_DELETE_NON_EMPTY_SCHEMA 69
#define SHP_DEFAULT_SCHEMA_NAME 70
#define SHP_DEFAULT_SCHEMA_DESCRIPTION 71
#define SHP_INVALID_INDEXOF_PARAM 72
#define SHP_FIELD_NAME_INVALID 73
#define SHP_EXPRESSION_NULL_PARAMETER 74
#define SHP_EXPRESSION_INVALID_PARAMETER_TYPE 75
#define SHP_COMMAND_PARAMETERS_NOT_SUPPORTED 76
#define SHP_COMMAND_TIMEOUT_NOT_SUPPORTED 77
#define SHP_COMMAND_ERROR_READING_SHP 78
#define SHP_COMMAND_PROPERTY_NOT_FOUND 79
#define SHP_VALUE_TYPE_MISMATCH 80
#define SHP_FEATID_READONLY 81
#define SHP_INVALID_DATA_TYPE 82
#define SHP_INVALID_GEOMETRY_TYPE 83
#define SHP_LITERAL_GEOM_VALUES_ONLY 84
#define SHP_DELETE_SETUP_FAILED 85
#define SHP_DELETE_FAILED 86
#define SHP_ILLEGAL_COLUMN_ASSIGNMENT 87
#define SHP_VALUE_TOO_WIDE_FOR_COLUMN 88
#define SHP_UPDATE_SETUP_FAILED 89
#define SHP_READ_ONLY_UPDATE 90
#define SHP_READ_ONLY_INSERT 91
#define SHP_READ_ONLY_DELETE 92
#define SHP_INVALID_LITERAL_TYPE 93
#define SHP_LOCKING_NOT_SUPPORTED 94
#define SHP_SPATIALCONTEXT_INVALIDCONFIGURATION 95
#define SHP_SPATIALCONTEXT_INVALIDOPTION 96
#define SHP_SPATIALCONTEXT_EMPTYWKT 97
#define SHP_SPATIALCONTEXT_INVALIDWKT 98
#define SHP_SPATIALCONTEXT_CONFLICTINGWKT 99
#define SHP_CONNECTION_TRANSACTIONS_NOT_SUPPORTED 100
#define SHP_READER_NOT_READY 101
#define SHP_READER_EXHAUSTED 102
#define SHP_READER_PROPERTY_NULL 103
#define SHP_SI_UNABLE_TO_OPEN 104
#define SHP_SI_NOT_AN_SSI 105
#define SHP_SI_READ_ERROR 106
#define SHP_SI_WRITE_ERROR 107
#define SHP_SI_VERSION_MISMATCH 108
#define SHP_SI_READ_ONLY 109
#define SHP_SI_SEARCH_NOT_INITIALIZED 110
#define SHP_SI_INVALID_PRECISION 111
#define SHP_SI_OBJECT_NOT_FOUND 112
#define SHP_SI_CANT_CREATE_TEMP_FILE 113
#define SHP_SI_TEMP_FILE_WRITE_ERROR 114
#define SHP_SI_CANT_REPLACE_SSI 115
#define SHP_SI_OPERATOR_NOT_SUPPORTED 116
#define SHP_SI_INITIALIZATION_FAILED 117
#define SHP_SI_TRAVERSAL_NOT_INITIALIZED 118
#define SHP_SI_INVALID_MINIMUM_NODES 119
#define SHP_SI_INVALID_MAXIMUM_NODES 120
#define SHP_CREATE_GEOMETRY_FAILED 121
#define SHP_PROVIDER_DISPLAY_NAME 122
#define SHP_PROVIDER_DESCRIPTION 123
#endif 
